{
  config,
  pkgs,
  ...
}: {
  nix = {
    gc = {
      automatic = true;
      options = "--delete-older-than 30d";
    };
    optimise.automatic = true;
    settings = {
      extra-experimental-features = [
        "flakes"
        "nix-command"
      ];
      keep-outputs = true;
      log-lines = 25;
      tarball-ttl = 43200;
      trusted-users = [
        "root"
        config.my.user
      ];
    };
    package = pkgs.nix;
  };

  environment.systemPackages = with pkgs; [
    unstable.nh
  ];

  # TODO: make sure hostnames always match flake output name
  environment.variables."NH_FLAKE" = ''${config.hm.home.homeDirectory}/Projects/nix-dots'';

  programs.zsh.enable = true;
  time.timeZone = "America/New_York";
}
