{
  pkgs,
  lib,
  config,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;
  cfg = config.my.sketchybar;
in {
  options.my.sketchybar = {
    enable = mkEnableOption "sketchybar";
  };

  config = mkIf cfg.enable {
    services.sketchybar.enable = true;
    hm.my.sketchybar.enable = true;

    fonts.packages = with pkgs; [
      unstable.sketchybar-app-font
    ];
  };
}
