{
  inputs,
  withSystem,
  ...
}: let
  mkDarwin = {
    system ? "aarch64-darwin",
    modules ? [],
  }:
    withSystem system (
      {
        inputs',
        lib,
        pkgs,
        system,
        ...
      }:
        inputs.darwin.lib.darwinSystem {
          inherit system;
          specialArgs = {
            inherit
              inputs
              inputs'
              lib
              pkgs
              ;
          };
          modules = [../darwin] ++ modules;
        }
    );
in {
  flake.darwinConfigurations = {
    neptune = mkDarwin {
      modules = [
        {
          hm = import ../user/environments/mac/home.nix;
        }

        ../machines/mac/configuration.nix
      ];
    };
  };
}
